package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.Query

import com.jld.vod.model.bean.SettingBean

@Dao
interface SettingDao {

    @Insert
    fun insertAll(vararg users: SettingBean)

    @Query("SELECT * FROM SettingBean")
    fun getAll(): List<SettingBean>

    @Query("SELECT * FROM SettingBean")
    fun getAlls(): DataSource.Factory<Int, SettingBean>

    @Query(" DELETE FROM SettingBean")
    fun delete()
}